/**************************************************
 * Wii Nunchuck Pure
 * Wolfgang Spahn 15-dez-2014
 ************************************************/
  
#include <Wire.h>
#define nunchuck 0x52

void setup(){
  Wire.begin();
  nunchuck_init (); // send the initilization handshake
  Serial.begin(9600);
}

void loop(){
  NurAuslesen();
  delay(20);
}

void nunchuck_init(){
  Wire.beginTransmission(nunchuck);
  Wire.write(0x55);
  Wire.write(0xF0);
  Wire.write(0x00);		
  Wire.write(0xFB);
  Wire.endTransmission();
  }

void NurAuslesen(){
  Wire.beginTransmission(nunchuck);
  Wire.write(0x00);
  Wire.endTransmission();
  
  Wire.requestFrom(nunchuck, 6);
  int eins = Wire.read();
  int zwei = Wire.read();
  int drei = Wire.read();
  int vier = Wire.read();
  int fuenf = Wire.read();
  int sechs = Wire.read();

  //print the date EG   3/1/11 23:59:59
  Serial.print(eins);
  Serial.print("-");
  Serial.print(zwei);
  Serial.print("-");
  Serial.print(drei);
  Serial.print("-");
  Serial.print(vier);
  Serial.print("-");
  Serial.print(fuenf);
  Serial.print("-");
  Serial.println(sechs);
}


